This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 52151 - Can not relocate a relocatable package
Can not relocate a relocatable package
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-21 00:12 EDT by Need Real Name
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-21 00:12:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-08-21 00:12:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
I build a package with prefix /opt. I want to install the package into
/usr/opt with this command: rpm -i --prefix /usr/opt.
>> error: can't unlink /usropt-RPMDELETE: Is a directory
   error: can't rename /usropt to /usropt-RPMDELETE: Is a directory
   error: unpacking of archinve failed on file /usropt: cpio: unlink 
failed - Is a directory.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. build a relocatable package
2. install in other place
3.
	

Additional info:
Comment 1 Jeff Johnson 2001-08-21 08:38:04 EDT
Yup. Fixed in rpm-4.0.3.

Note You need to log in before you can comment on or make changes to this bug.